<?php
require ("includes/comunes.php");

$seccion = "agente";

if ($idioma==1) {
$titulo = "Acceso a Usuarios Registrados";
$meta_titulo = "Acceso a Usuarios Registrados";
$meta_desc = "";
$meta_key = "";
}
elseif ($idioma==2) {
	$titulo = "Employment - Jobs LimousineCC";
$meta_titulo = "Employment - Jobs LimousineCC";
$meta_desc = "By filling in the following form enter the labour exchange of LimousineCC. If you want to work as a conductor, administrative, commercial, accounting or lavacoches send us your resume.";
$meta_key = "Limousine driver, a driver luxury car driver, pilot cars, working as a driver, carrying car carrying vehicle, driving, driver of limousines";
}

elseif ($idioma==3) {
	$titulo = "Bourse de travail";
$meta_titulo = "Bourse de travail";
$meta_desc = "Rellenando el siguiente formulario entrará en la bolsa de trabajo de LimousineCC. Si desea trabajar como conductor, administrativo, comercial, contable o lavacoches envienos su curriculum.";
$meta_key = "";
}

if (isset($_GET['year_url'])) {$year_url = $_GET['year_url'];} else {$year_url = date('Y');}



PonCabecera($seccion,$titulo,$meta_titulo,$meta_desc,$meta_key);

Pon_Submenu_Comercial('presupuestos');


	// *************************** MENU LATERAL **********************

echo "<div id=\"contenido_web\">";

//creamos 2 cajas

//echo $_SESSION['comi'];
//echo $_SESSION['comi'].'<br>'.$_SESSION['chofer'].'<br>'.$_SESSION['cliente'];

echo '<div id="div_presup_1">';

echo '<p class="c3 t6 negrita">Solicitud de nuevo presupuesto</p>';
echo '<p class="c3 t6 negrita">&nbsp;</p>';


if (!isset($_POST['nombre_cliente'])) {

//===================================================================================

echo '<form id="form_presup" name="form_presup" method="post" action="'.$_SERVER['PHP_SELF'].'">';

//campo para obligar seleccionar tipo de coche
echo '<input type="text" name="tipo_coche_oculto" class="required" value="" style="display: none;" />';
//para obligar seleccionar coche
echo '<input type="text" name="coche_oculto" class="required" value="" style="display: none;" />';

echo '<div id="datos_cliente">';

echo '<div id="campo_cliente"><p><label>Nombre:</label><input type="text" id="nombre_cliente" name="nombre_cliente" class="required" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Clientes(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value);" /></p>';

echo '<p><label>1<sup>er</sup> Apellido:</label><input type="text" name="apellido_1" class="" style="width: 110px;"  onKeyUp="xajax_Mostrar_Lista_Clientes(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value);" /></p>';
echo '<p><label>2<sup>o</sup> Apellido:</label><input type="text" name="apellido_2" class="" style="width: 110px;"  onKeyUp="xajax_Mostrar_Lista_Clientes(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value);" />';
echo '</p>';

echo '</div>'; //datos cliente

echo '<p><label>&nbsp;</label><input type="button" name="nuevo_cliente" value="Nuevo Cliente" onclick="xajax_Pon_Campos_Cliente(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value)" style="padding: 3px;" /></p>';

echo "<div id=\"muestra_lista\" style=\"clear: both;\"></div>";

echo '</div>'; //fin datos_cliente

echo '<p class="c3 t6 negrita">&nbsp;</p>';


$sql="SELECT * FROM NTARI WHERE NOPUBLICARWEB='0' AND SUBLICEN='00' ORDER BY ORDENWEB ASC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

echo '<p><label>Tipo de servicio:</label>';
$i = 0;
while ($row = odbc_fetch_array($result)) {
	
	if ($i==0) {
	echo '<input type="radio" name="tipo_servicio" class="required" value="'.$row['CODIGO'].'" onclick="xajax_condiciones_tarifas(\''.$row['CODIGO'].'\');document.form_presup.tarifa.value = document.form_presup.tipo_servicio['.$i.'].value;document.form_presup.tipo_coche_oculto.value = 1;xajax_Comprueba_Servicio_Coche(document.form_presup.tarifa.value,form_presup.tipo_coche.options[form_presup.tipo_coche.selectedIndex].value);xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)" /> '.$row['NOMBRE'].'</p>';	
	//llamamos a las funciones ajax necesarias

	//condiciones tarifa; xajax_Comprueba_Servicio_Coche; xajax_Pon_Hora_Fin
	/*
$dia_1 = date('d');
$mes_1 = date('m');
$ano_1 = date('Y');

$hora_1 = date('H');
$minuto_1 = date('i');
	?>
	<script type="text/javascript">
	
	function init() {
		
	xajax_condiciones_tarifas("<? echo $row['CODIGO']; ?>");
		
	//xajax_Comprueba_Servicio_Coche("<? echo $row['CODIGO']; ?>",form_presup.tipo_coche.options[form_presup.tipo_coche.selectedIndex].value);
	
	
	xajax_Pon_Hora_Fin("<? echo $ano_1; ?>","<? echo $mes_1; ?>","<? echo $dia_1; ?>","<? echo $hora_1; ?>","<? echo $minuto_1; ?>","<? echo $row['CODIGO']; ?>");	
		
	}
	
	window.onload = init();
	
	
	
	</script>
	
	
	<?
*/
	
	}
	else {
	
	echo '<p><label>&nbsp;</label><input type="radio" class="required" name="tipo_servicio" value="'.$row['CODIGO'].'" onclick="xajax_condiciones_tarifas(\''.$row['CODIGO'].'\');document.form_presup.tarifa.value = document.form_presup.tipo_servicio['.$i.'].value;document.form_presup.tipo_coche_oculto.value = 1;xajax_Comprueba_Servicio_Coche(document.form_presup.tarifa.value,form_presup.tipo_coche.options[form_presup.tipo_coche.selectedIndex].value);xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)" /> '.$row['NOMBRE'].'</p>';
	}
	
	++$i;
	
}

echo '<input type="hidden" name="tarifa" />';

echo '<p>&nbsp;</p>';
//tipo de vehículo
echo '<div id="select_vehiculo">';
echo '<p><label>Seleccione vehículo:</label>';
$sql="SELECT * FROM vehiculo1 WHERE NOPUBLICARWEB='0' ORDER BY ORDENWEB ASC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
echo '<select name="tipo_coche" class="required" onchange="document.form_presup.coche_oculto.value = 1;xajax_Comprueba_Servicio_Coche(document.form_presup.tarifa.value,form_presup.tipo_coche.options[form_presup.tipo_coche.selectedIndex].value)">';
echo '<option value="">Seleccione coche</option>';
while ($row = odbc_fetch_array($result)) {
echo '<option value="'.$row['CODIINT'].'">'.$row['MARCA'].' '.$row['MODELO'].'</option>';	
}
echo '</select>';
echo '</p>';
echo '</div>'; //fin select_vehiculo


echo '<p>&nbsp;</p>';
//fecha y hora del servicio
echo '<p class="negrita">Fecha y hora inicio del servicio:</p>';
echo '<p style="clear: both;">';

$dia_1 = date('d');
$mes_1 = date('m');
$ano_1 = date('Y');
echo '<select name="dia_inicio" onchange="xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)"><option value="">DD</option>';
if ($dia_1==01) {echo '<option selected value="01">01</option>';} else {echo '<option value="01">01</option>';}
if ($dia_1==02) {echo '<option selected value="02">02</option>';} else {echo '<option value="02">02</option>';}
if ($dia_1==03) {echo '<option selected value="03">03</option>';} else {echo '<option value="03">03</option>';}
if ($dia_1==04) {echo '<option selected value="04">04</option>';} else {echo '<option value="04">04</option>';}
if ($dia_1==05) {echo '<option selected value="05">05</option>';} else {echo '<option value="05">05</option>';}
if ($dia_1==06) {echo '<option selected value="06">06</option>';} else {echo '<option value="06">06</option>';}
if ($dia_1==07) {echo '<option selected value="07">07</option>';} else {echo '<option value="07">07</option>';}
if ($dia_1=='08') {echo '<option selected value="08">08</option>';} else {echo '<option value="08">08</option>';}
if ($dia_1=='09') {echo '<option selected value="09">09</option>';} else {echo '<option value="09">09</option>';}
if ($dia_1==10) {echo '<option selected value="10">10</option>';} else {echo '<option value="10">10</option>';}
if ($dia_1==11) {echo '<option selected value="11">11</option>';} else {echo '<option value="11">11</option>';}
if ($dia_1==12) {echo '<option selected value="12">12</option>';} else {echo '<option value="12">12</option>';}
if ($dia_1==13) {echo '<option selected value="13">13</option>';} else {echo '<option value="13">13</option>';}
if ($dia_1==14) {echo '<option selected value="14">14</option>';} else {echo '<option value="14">14</option>';}
if ($dia_1==15) {echo '<option selected value="15">15</option>';} else {echo '<option value="15">15</option>';}
if ($dia_1==16) {echo '<option selected value="16">16</option>';} else {echo '<option value="16">16</option>';}
if ($dia_1==17) {echo '<option selected value="17">17</option>';} else {echo '<option value="17">17</option>';}
if ($dia_1==18) {echo '<option selected value="18">18</option>';} else {echo '<option value="18">18</option>';}
if ($dia_1==19) {echo '<option selected value="19">19</option>';} else {echo '<option value="19">19</option>';}
if ($dia_1==20) {echo '<option selected value="20">20</option>';} else {echo '<option value="20">20</option>';}
if ($dia_1==21) {echo '<option selected value="21">21</option>';} else {echo '<option value="21">21</option>';}
if ($dia_1==22) {echo '<option selected value="22">22</option>';} else {echo '<option value="22">22</option>';}
if ($dia_1==23) {echo '<option selected value="23">23</option>';} else {echo '<option value="23">23</option>';}
if ($dia_1==24) {echo '<option selected value="24">24</option>';} else {echo '<option value="24">24</option>';}
if ($dia_1==25) {echo '<option selected value="25">25</option>';} else {echo '<option value="25">25</option>';}
if ($dia_1==26) {echo '<option selected value="26">26</option>';} else {echo '<option value="26">26</option>';}
if ($dia_1==27) {echo '<option selected value="27">27</option>';} else {echo '<option value="27">27</option>';}
if ($dia_1==28) {echo '<option selected value="28">28</option>';} else {echo '<option value="28">28</option>';}
if ($dia_1==29) {echo '<option selected value="29">29</option>';} else {echo '<option value="29">29</option>';}
if ($dia_1==30) {echo '<option selected value="30">30</option>';} else {echo '<option value="30">30</option>';}
if ($dia_1==31) {echo '<option selected value="31">31</option>';} else {echo '<option value="31">31</option>';}
echo '</select>&nbsp;';
echo '<select name="mes_inicio" onchange="xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)"><option value="'.$mes_1.'">MM</option>';
if ($mes_1==01) {echo '<option selected value="01">Enero</option>';} else {echo '<option value="01">Enero</option>';}
if ($mes_1==02) {echo '<option selected value="02">Febrero</option>';} else {echo '<option value="02">Febrero</option>';}
if ($mes_1==03) {echo '<option selected value="03">Marzo</option>';} else {echo '<option value="03">Marzo</option>';}
if ($mes_1==04) {echo '<option selected value="04">Abril</option>';} else {echo '<option value="04">Abril</option>';}
if ($mes_1==05) {echo '<option selected value="05">Mayo</option>';} else {echo '<option value="05">Mayo</option>';}
if ($mes_1==06) {echo '<option selected value="06">Junio</option>';} else {echo '<option value="06">Junio</option>';}
if ($mes_1==07) {echo '<option selected value="07">Julio</option>';} else {echo '<option value="07">Julio</option>';}
if ($mes_1=='08') {echo '<option selected value="08">Agosto</option>';} else {echo '<option value="08">Agosto</option>';}
if ($mes_1=='09') {echo '<option selected value="09">Septiembre</option>';} else {echo '<option value="09">Septiembre</option>';}
if ($mes_1==10) {echo '<option selected value="10">Octubre</option>';} else {echo '<option value="10">Octubre</option>';}
if ($mes_1==11) {echo '<option selected value="11">Noviembre</option>';} else {echo '<option value="11">Noviembre</option>';}
if ($mes_1==12) {echo '<option selected value="12">Diciembre</option>';} else {echo '<option value="12">Diciembre</option>';}
echo '</select>&nbsp;';
echo '<select name="ano_inicio" onchange="xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)"><option value="'.$ano_1.'">AAAA</option>';
echo '<option selected value="'.$ano_1.'">'.$ano_1.'</option>';
echo '<option value="'.($ano_1 + 1).'">'.($ano_1 + 1).'</option>';
echo '</select>';
//hora y minuto
$hora_1 = date('H');
$minuto_1 = date('i');
echo '<select name="hora_inicio" style="margin-left: 50px;" onchange="xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)"><option value="'.$hora_1.'">HH</option>';
if ($hora_1==00) {echo '<option selected value="00">00</option>';} else {echo '<option value="00">00</option>';}
if ($hora_1==01) {echo '<option selected value="01">01</option>';} else {echo '<option value="01">01</option>';}
if ($hora_1==02) {echo '<option selected value="02">02</option>';} else {echo '<option value="02">02</option>';}
if ($hora_1==03) {echo '<option selected value="03">03</option>';} else {echo '<option value="03">03</option>';}
if ($hora_1==04) {echo '<option selected value="04">04</option>';} else {echo '<option value="04">04</option>';}
if ($hora_1==05) {echo '<option selected value="05">05</option>';} else {echo '<option value="05">05</option>';}
if ($hora_1==06) {echo '<option selected value="06">06</option>';} else {echo '<option value="06">06</option>';}
if ($hora_1==07) {echo '<option selected value="07">07</option>';} else {echo '<option value="07">07</option>';}
if ($hora_1=='08') {echo '<option selected value="08">08</option>';} else {echo '<option value="08">08</option>';}
if ($hora_1=='09') {echo '<option selected value="09">09</option>';} else {echo '<option value="09">09</option>';}
if ($hora_1==10) {echo '<option selected value="10">10</option>';} else {echo '<option value="10">10</option>';}
if ($hora_1==11) {echo '<option selected value="11">11</option>';} else {echo '<option value="11">11</option>';}
if ($hora_1==12) {echo '<option selected value="12">12</option>';} else {echo '<option value="12">12</option>';}
if ($hora_1==13) {echo '<option selected value="13">13</option>';} else {echo '<option value="13">13</option>';}
if ($hora_1==14) {echo '<option selected value="14">14</option>';} else {echo '<option value="14">14</option>';}
if ($hora_1==15) {echo '<option selected value="15">15</option>';} else {echo '<option value="15">15</option>';}
if ($hora_1==16) {echo '<option selected value="16">16</option>';} else {echo '<option value="16">16</option>';}
if ($hora_1==17) {echo '<option selected value="17">17</option>';} else {echo '<option value="17">17</option>';}
if ($hora_1==18) {echo '<option selected value="18">18</option>';} else {echo '<option value="18">18</option>';}
if ($hora_1==19) {echo '<option selected value="19">19</option>';} else {echo '<option value="18">18</option>';}
if ($hora_1==20) {echo '<option selected value="20">20</option>';} else {echo '<option value="20">20</option>';}
if ($hora_1==21) {echo '<option selected value="21">21</option>';} else {echo '<option value="21">21</option>';}
if ($hora_1==22) {echo '<option selected value="22">22</option>';} else {echo '<option value="22">22</option>';}
if ($hora_1==23) {echo '<option selected value="23">23</option>';} else {echo '<option value="23">23</option>';}
echo '</select>&nbsp;:&nbsp;';
echo '<select name="minuto_inicio" onchange="xajax_Pon_Hora_Fin(form_presup.ano_inicio.options[form_presup.ano_inicio.selectedIndex].value,form_presup.mes_inicio.options[form_presup.mes_inicio.selectedIndex].value,form_presup.dia_inicio.options[form_presup.dia_inicio.selectedIndex].value,form_presup.hora_inicio.options[form_presup.hora_inicio.selectedIndex].value,form_presup.minuto_inicio.options[form_presup.minuto_inicio.selectedIndex].value,document.form_presup.tarifa.value)"><option value="'.$minuto_1.'">MM</option>';
if ($minuto_1>=00 && $minuto_1<30) {echo '<option selected value="00">00</option>';} else {echo '<option value="00">00</option>';}
if ($minuto_1>=30 && $minuto_1<=59) {echo '<option selected value="30">30</option>';} else {echo '<option value="30">30</option>';}
echo '</select>';
echo '</p>';



echo '<div id="hora_fin"></div>';

echo '<p>&nbsp;</p>';
//dirección inicio servicio
echo '<p class="negrita"><label style="width: 300px;">Dirección inicio del servicio:</label><label style="width: 150px;">Número:</label><label style="width: 150px;">Código Postal</label></p>';

echo '<div id="direccion_inicio">';


echo '<p><label style="width: 300px;"><input type="text" name="direccion_inicio" class="required" style="width: 250px;" /></label><label style="width: 150px;"><input type="text" name="numero_inicio" class="required" style="width: 100px;" /></label><label style="width: 150px;"><input type="text" name="cp_inicio" class="required" onkeyup="xajax_Pon_Pobla_Prov_Inicio(form_presup.cp_inicio.value)" style="width: 100px;" /></label></p>';

echo '<div id="pobla_prov_inicio"><input type="hidden" name="poblacion_inicio" class="required" /><input type="hidden" name="provincia_inicio" class="required" /></div>';

echo '</div>'; //fin direccion inicio

//dirección final servicio
echo '<p style="clear: both;">&nbsp;</p>';
echo '<p style="clear: both;border-top: 1px solid #ccc;">&nbsp;</p>';
echo '<p class="negrita"><label style="width: 300px;">Dirección final del servicio:</label><label style="width: 150px;">Número:</label><label style="width: 150px;">Código Postal</label></p>';

echo '<p><label style="width: 300px;"><input type="text" name="direccion_final" class="required" style="width: 250px;" /></label><label style="width: 150px;"><input type="text" class="required" name="numero_final" style="width: 100px;" /></label><label style="width: 150px;"><input type="text" name="cp_final" class="required" onkeyup="xajax_Pon_Pobla_Prov_Final(form_presup.cp_final.value)" style="width: 100px;" /></label></p>';

echo '<div id="pobla_prov_final"><input type="hidden" name="poblacion_final" class="required" /><input type="hidden" name="provincia_final" class="required" /></div>';

echo '<p style="clear: both;">&nbsp;</p>';
echo '<p style="clear: both;"><input type="submit" name="solicitar" value="Solicitar >>" style="padding: 8px;font-weight: bold;" /></p>';

echo '</form>';
?>
<script type="text/javascript">
				
			window.addEvent('load', function(){
				var myFormValidation3 = new Validate('form_presup',{
					errorClass: 'red'
				});
			});
			</script>
<?
//===============================================================
//===== FIN FORMULARIO ==========================================
//===============================================================

}

else {
	
	/*
	while(list($key, $Value) = each($_POST)){
echo $key ." => ". $Value . "<br>";
}
*/	
	//$nombre_cliente = $_POST['nombre_cliente'];
	
	
	if (isset($_POST['codigo'])) {
		//como esta definido, sabemos el cliente y de momento no necesitamos más datos
	
		$num_potencial = $_POST['codigo'];
		/*
		$sql="SELECT * FROM POTENCIALES WHERE NUMERO like'$codigo'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$email = $row['EMAIL'];
	$email = eregi_replace("#","@",$email);
	$tlf_movil = $row['MOVIL'];
}
*/
	$existe = 'si';	
	}
	else {
		
		//sacamos sus datos y lo guardamos en potencial, sacamos su NUMERO
		$nombre_cliente = $_POST['nombre_cliente'];
		$apellido_1 = $_POST['apellido_1'];
		$apellido_2 = $_POST['apellido_2'];
		
		$nombre_cliente .= ' '.$apellido_1.' '.$apellido_2;
		
		$email = $_POST['email'];
		$email_2 = eregi_replace("@","#",$email);
		$tlf_movil = $_POST['tlf_movil'];
		$direccion = $_POST['direccion'];
		$dir_num = $_POST['dir_num'];
		$dni = $_POST['dni'];
		$codigo_postal = $_POST['codigo_postal'];
		$poblacion = $_POST['poblacion'];
		$provincia = $_POST['provincia'];
		$provincia_2 = substr($codigo_postal,0,2);
		
		//comprobamos que su dni y emaul no exista en la tabla
		$rsql = "SELECT TOP 1 * FROM POTENCIALES WHERE (NUMERO like '00%') AND (NIF like '$dni') ORDER BY NUMERO DESC";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results==1) {
			//si existe sacamos su codigo
			//echo '<p>El cliente que intenta registrar ya se encuentra registrado.</p>';
			//cogemos su código
			
			$rsql = "SELECT TOP 1 * FROM POTENCIALES WHERE (NUMERO like '00%') AND (NIF like '$dni') ORDER BY NUMERO DESC";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($results)) {
			$num_potencial = $row['NUMERO'];
			$existe = 'si';
		}
		}
		else {
			//si no existe lo registramos
			$rsql="Select max(NUMERO) from POTENCIALES WHERE NUMERO like '00%'";

			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			
			$num_potencial = odbc_result($results,1) + 1;
			
			//$registro = ComprobarRegistro('POTENCIALES',$num_potencial);
			
			$num_potencial = str_repeat('0',7-strlen($num_potencial)).$num_potencial;
			
			$fecha_pre1 = date('Y-m-d');
			$ultmodi = date('YmdH:i');

			
$tsql =  "INSERT INTO POTENCIALES (NUMERO,NOMBRE,DIRECCION,CP,POBLACION,PROVINCIA,MOVIL,EMAIL,ALTA,SUBLICEN,OFICINA,ULTMODI,USUARIO,ORIGEN,EMPRESA,DIR_NUM,USU_CREA,NIF,COMICLAVE,USUARIO_CWEB,USUCREA,FECHACREA,MEDIO) VALUES ('$num_potencial','".strtoupper($nombre_cliente)."','".strtoupper($direccion)."','$codigo_postal','".strtoupper($poblacion)."','$provincia_2','+34 ".$tlf_movil."','".$email_2."','$fecha_pre1','00','C1','$ultmodi','WT','64','00','$dir_num','WT','$dni','".$_SESSION['comi']."','".$_SESSION['usuario_web']."','WT','".date('YmdH:i')."','14')";
$results=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));

$existe = 'no';

		}
		
		
		
		
	}
	
	
	//ya tenemos al cliente localizado y su NUMERO, continuamos con el presupuesto.
	$tipo_servicio = $_POST['tipo_servicio']; //lo tenemos y es el mismo que tarifa
	$tarifa = $_POST['tarifa'];
	
//sacamos el concepto
if ($tarifa=="TARICEREMO") {$concepto = 2;}
if ($tarifa=="TARIDISPO8") {$concepto = 4;}
if ($tarifa=="TARIDISPO4") {$concepto = 6;}
if ($tarifa=="TARITRANSF") {$concepto = 8;}
if ($tarifa=="TARITRANSC") {$concepto = 78;}

$tipo_coche = $_POST['tipo_coche'];  //con el codigo del coche sacamos su grupo
$sql="Select TOP 1 * from vehiculo1 WHERE CODIINT like '$tipo_coche'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$grupo = $row['GRUPO'];
}

//ya tenemos tarifa, grupo y concepto

//sacamos el valor del presupuesto
$sql = "SELECT * FROM TARIFAS_PRECIOS WHERE (TARIFA = '$tarifa') AND (GRUPO = '$grupo') AND (CONCEPTO = '$concepto')";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$desc_concep = odbc_result($result,4);
$tipo_conp = odbc_result($result,5);
$baseim = odbc_result($result,6);

$iva = $baseim * 7/100;

$precio = $baseim + $iva;

$precio = redondeado($precio,2);

//sacamos el número de presupuesto
$rsql="Select max(NUMERO_PRE) from PRESUP1 WHERE NUMERO_PRE like '00%'";

$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));

$mireg = odbc_result($results,1);

$num_presup = ++$mireg;

//completamos con ceros
$num_presup = str_repeat('0',10-strlen($num_presup)).$num_presup;

$fecha_pre1 = date('Y-m-d');

$ultmodi = date('YmdH:i');


$fecha_presup = $_POST['ano_inicio']."-".$_POST['mes_inicio']."-".$_POST['dia_inicio'];
$hora_presup = $_POST['hora_inicio'].":".$_POST['minuto_inicio'];

$fin_fecha_presup = $_POST['ano_fin']."-".$_POST['mes_fin']."-".$_POST['dia_fin'];
$fin_hora_presup = $_POST['hora_fin'].":".$_POST['minuto_fin'];

$luentre = $direccion.", ".$dir_num;

//extraemos algunos datos de NTARI 
$rsql="Select * from NTARI WHERE CODIGO='$tarifa'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$tener_encuenta_dietas = odbc_result($results,48);
$condiciones = odbc_result($results,36);
//sacamos las condiciones de tarifa segun idioma
$rsql="SELECT * FROM TARI_COND WHERE IDIOMA='1' AND NTARI='".$tarifa."'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	$condiciones = $fila['CONDICIONES'];
}			

//sacamos si es comercial o asociado


//guardamos datos en PRESUP1, PRESUP2 Y LIPRESUP

//guardamos datos en PRESUP1, PRESUP2 Y LIPRESUP
$rsql = "INSERT INTO PRESUP1 (NUMERO_PRE,LOCALIZA_PRE1,OFICINA_PRE1,OFIRETORNO_PRE1,OFISALIDA_PRE1,SUBLICEN_PRE1,ULTMODI_PRE1,USUARIO_PRE1,FPREV_PRE1,FSALIDA_PRE1,HPREV_PRE1,HSALIDA_PRE1,DIAS_PRE1,FECHA_PRE1,GRUPO_PRE1,TARIFA_PRE1,MEDIO_PRE1,RENTAL1_PRE1,VCACT_PRE1,ESCONCHOFER_PRE1,CONTACTO_PRE1,ENT_CALLE,ENT_NUM,ENT_POB,ENT_CP,ENT_CALLER,ENT_NUMR,ENT_POBR,ENT_CPR,NO_TENER_ENCUENTA_DIETAS,USUARIO_CWEB) VALUES ('$num_presup','$num_presup','C1','C1','C1','00','$ultmodi','WT','$fin_fecha_presup','$fecha_presup','$fin_hora_presup','$hora_presup','1','$fecha_pre1','".$grupo."','".$tarifa."','11','WT','".$_POST['tipo_coche']."','1','$num_potencial','".strtoupper($_POST['direccion_inicio'])."','".$_POST['numero_inicio']."','".strtoupper($_POST['poblacion_inicio'])."','".$_POST['cp_inicio']."','".strtoupper($_POST['direccion_final'])."','".$_POST['numero_final']."','".strtoupper($_POST['poblacion_final'])."','".$_POST['cp_final']."','$tener_encuenta_dietas','".$_SESSION['usuario_web']."')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));

//obtenemos comiclave del contacto
$rsql = "SELECT TOP 1 * FROM POTENCIALES WHERE NUMERO like '".$num_potencial."'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($results)) {
			$comiclave = $row['COMICLAVE'];
		}

if (substr($_SESSION['comi'],-3,3)=="000") {
	//guardamos comercial
	if ($existe=="si") {
	$rsql = "INSERT INTO PRESUP2 (NUMERO_PRE,TIIVA_PRE2,TOLON_PRE2,BASEI_PRE2,ORIGEN_PRE2,IVA_PRE2,COMICLAVE_PRE2) VALUES ('$num_presup','7.00','$precio','$baseim','64','$iva','".$_SESSION['comi']."')";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));	
	}
	else {
		$rsql = "INSERT INTO PRESUP2 (NUMERO_PRE,TIIVA_PRE2,TOLON_PRE2,BASEI_PRE2,ORIGEN_PRE2,IVA_PRE2,COMISIO_PRE2,COMICLAVE_PRE2) VALUES ('$num_presup','7.00','$precio','$baseim','64','$iva','".$_SESSION['comi']."','".$_SESSION['comi']."')";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
}
else {
	
	//guardamos comercial y asociado
	$tipo_comercial = substr($_SESSION['comi'],0,strlen($_SESSION['comi'])-3);
	$tipo_comercial .= '000';
	if ($existe=="si") {
	$rsql = "INSERT INTO PRESUP2 (NUMERO_PRE,TIIVA_PRE2,TOLON_PRE2,BASEI_PRE2,ORIGEN_PRE2,IVA_PRE2,COMICLAVE_PRE2) VALUES ('$num_presup','7.00','$precio','$baseim','64','$iva','".$_SESSION['comi']."')";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));	
	}
	else {
	$rsql = "INSERT INTO PRESUP2 (NUMERO_PRE,TIIVA_PRE2,TOLON_PRE2,BASEI_PRE2,ORIGEN_PRE2,IVA_PRE2,COMISIO_PRE2,COMICLAVE_PRE2,COMISIO2_PRE2) VALUES ('$num_presup','7.00','$precio','$baseim','64','$iva','$tipo_comercial','".$_SESSION['comi']."','".$_SESSION['comi']."')";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));	
	}
	
}

//===============================================================
//tenemos que guardar en cada lipresup el descuento del comercial
//===============================================================
$sql="Select TOP 1 * from COMISIO WHERE NUM_COMI LIKE '".$_SESSION['comi']."'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$descuento_comercial = $row['DTOCLIWEB'];
}
//=============================================================
//sacamos si para este concepto se aplica o no descuento
//=============================================================
$sql="Select TOP 1 * FROM CONCEP_FACTUR WHERE CODIGO LIKE '$concepto'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$aplica_descuento = $row['DTO'];
}

//calculamos el SUBTOTAL, que seria el precio * la cantidad menos el descuento
//aqui la cantidad es fija 1, solo aplicamos descuento si hay
if ($aplica_descuento=='1') {
	$descuento = $baseim * $descuento_comercial / 100;
	$subtotal = $baseim - $descuento;
}
else {
	$subtotal = $baseim;
}

$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO,DTO_SN,DTO) VALUES ('$num_presup','$tarifa','$grupo','$concepto','$desc_concep','1','-1','1','DIA','$baseim','7.00','$subtotal','$tipo_conp','WT','$aplica_descuento','$descuento_comercial')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));

//sacamos las horas de la tarifa
$rsql = "SELECT * FROM CONCEP_FACTUR WHERE CODIGO='$concepto'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$n_horas = odbc_result($results,14);
if (is_null($n_horas)) {$n_horas = 0;}	


//si hay diferencia de horas, sumamos horas extras
$dif_horas = RestarHoras($hora_presup,$fin_hora_presup);

if ($dif_horas!=$n_horas) {
	
	if ($dif_horas>=$n_horas) {
	$horas_extras = $dif_horas-$n_horas;
	}
	else {
	$horas_extras = $n_horas-$dif_horas;	
	}
	//seleccionamos el precio
	//el concepto 5 son horas extras
	$sql = "SELECT * FROM TARIFAS_PRECIOS WHERE (TARIFA = '$tarifa') AND (GRUPO = '$grupo') AND (CONCEPTO = '5')";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$nombre_hx = odbc_result($result,4);
$concepto_hx = odbc_result($result,3);
$precio_hx = odbc_result($result,6);

//============================================
$sql="Select TOP 1 * FROM CONCEP_FACTUR WHERE CODIGO LIKE '$concepto_hx'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$aplica_descuento = $row['DTO'];
}

$subtotal_hx = $horas_extras * $precio_hx;
if ($aplica_descuento=='1') {
	$descuento = $subtotal_hx * $descuento_comercial / 100;
	$subtotal_hx = $subtotal_hx - $descuento;
}


	//insertamos las horas extras
	$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO,DTO_SN,DTO) VALUES ('$num_presup','$tarifa','$grupo','$concepto_hx','$nombre_hx','1','-1','$horas_extras','DIA','$precio_hx','7.00','$subtotal_hx','4','WT','$aplica_descuento','$descuento_comercial')";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	
}

/*
//damos el mensaje como que hay un presupuesto
	$fecha = date("Y-m-d H:i:s");
	$msn = "HAY UN NUEVO PRESUPUESTO PENDIENTE DE SER REVISADO. Nº PRESUP: ".$num_presup;
$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WT','RM','".$fecha.".000000','$msn','0')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WT','IS','".$fecha.".000000','$msn','0')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
*/

//dietas, si $tener en cuenta dietas es igual a 0, evaluamos la dieta y la insertamos en la tabla LIPRESUP
if ($tener_encuenta_dietas==0) {
	
	$hora_inicio = $hora_presup;
	$hora_inicio = explode(":",$hora_inicio);
	$hora_inicio = date("H:i:s",mktime($hora_inicio[0],$hora_inicio[1],00));
	
	$hora_fin = $fin_hora_presup;
	$hora_fin = explode(":",$hora_fin);
	$hora_fin = date("H:i:s",mktime($hora_fin[0]+1,$hora_fin[1],00));
	
	//gestion de diestas
	while ($hora_inicio!=$hora_fin) {
	
	//echo $hora_inicio."<br />";
	//tenemos 5 dietas a evaluar
	//Primera dieta, desayuno
	$sql="Select DIETA_AUT,HINI_DIETA,HFIN_DIETA from CONFI_EMP WHERE DIETA_AUT = '76'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	
	if ($hora_inicio>=$h_ini AND $hora_inicio<=$h_fin) {
		//echo "Sumamos un desayuno.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);

			$sql="Select TOP 1 * FROM CONCEP_FACTUR WHERE CODIGO LIKE '$codigo_dieta'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$aplica_descuento = $row['DTO'];
}

if ($aplica_descuento=='1') {
	
	$descuento = $precio_dieta * $descuento_comercial / 100;
	$subtotal_dieta = $precio_dieta - $descuento;
	
}
else {
	$subtotal_dieta = $precio_dieta;
}
					
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO,DTO_SN,DTO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$subtotal_dieta','$tipo_dieta','WT','$aplica_descuento','$descuento_comercial')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
	}
	
	
	//segunda dieta. comida-almuerzo
	$sql="Select DIETA_AUT2,HINI_DIETA2,HFIN_DIETA2 from CONFI_EMP WHERE DIETA_AUT2 = '20'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	if ($hora_inicio>=$h_ini AND $hora_inicio<=$h_fin) {
		//echo "Sumamos una comida.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			$sql="Select TOP 1 * FROM CONCEP_FACTUR WHERE CODIGO LIKE '$codigo_dieta'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$aplica_descuento = $row['DTO'];
}

if ($aplica_descuento=='1') {
	
	$descuento = $precio_dieta * $descuento_comercial / 100;
	$subtotal_dieta = $precio_dieta - $descuento;
	
}
else {
	$subtotal_dieta = $precio_dieta;
}
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO,DTO_SN,DTO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$subtotal_dieta','$tipo_dieta','WT','$aplica_descuento','$descuento_comercial')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
		
	}
	
	
	//tercera dieta o cena
	$sql="Select DIETA_AUT3,HINI_DIETA3,HFIN_DIETA3 from CONFI_EMP WHERE DIETA_AUT3 = '77'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	if ($hora_inicio>=$h_ini AND $hora_inicio<=$h_fin) {
		//echo "Sumamos una cena.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			$sql="Select TOP 1 * FROM CONCEP_FACTUR WHERE CODIGO LIKE '$codigo_dieta'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$aplica_descuento = $row['DTO'];
}

if ($aplica_descuento=='1') {
	
	$descuento = $precio_dieta * $descuento_comercial / 100;
	$subtotal_dieta = $precio_dieta - $descuento;
	
}
else {
	$subtotal_dieta = $precio_dieta;
}
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO,DTO_SN,DTO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$subtotal_dieta','$tipo_dieta','WT','$aplica_descuento','$descuento_comercial')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
	}
	
	//cuarta dieta o hacemos noche
	$sql="Select DIETA_AUT4,HINI_DIETA4,HFIN_DIETA4 from CONFI_EMP WHERE DIETA_AUT4 = '38'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	//deberia hacer 2 tramos horarios
	if (($hora_inicio>=$h_ini AND $hora_inicio<='23:59:59') || ($hora_inicio>='00:00:00' AND $hora_inicio<=$h_fin)) {
		//echo "Sumamos una noche.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			//comprobamos si se aplica descuento
			$sql="Select TOP 1 * FROM CONCEP_FACTUR WHERE CODIGO LIKE '$codigo_dieta'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$aplica_descuento = $row['DTO'];
}

if ($aplica_descuento=='1') {
	
	$descuento = $precio_dieta * $descuento_comercial / 100;
	$subtotal_dieta = $precio_dieta - $descuento;
	
}
else {
	$subtotal_dieta = $precio_dieta;
}
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO,DTO_SN,DTO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$subtotal_dieta','$tipo_dieta','WT','$aplica_descuento','$descuento_comercial')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
	}
	
	
	

	$datos = explode(":",$hora_inicio);
	
	$hora_inicio = date("H:i:s",mktime($datos[0]+1,$datos[1],$datos[2]));
}

	//fin gestion de dietas
	
	
}


//=============================================================================
//=============================================================================
//Mostramos los datos en pantalla
$sql="Select TOP 1 * from ntari WHERE CODIGO='$tipo_servicio'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$tipo_servicio = $row['NOMBRE'];
}

//con esto mostramos los datos, 
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$tipo_servicio = $row['DESCCON'];
}

$sql="SELECT * FROM POTENCIALES WHERE NUMERO like'$num_potencial'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$nombre_cliente = $row['NOMBRE'];
}

//sacamos los datos del coche
$sql="Select * from vehiculo1 WHERE CODIINT like '".$_POST['tipo_coche']."'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$marca = $row['MARCA'].' '.$row['MODELO'];
	$id_des = $row['ID_DES'];
}

echo '<table class="t3" width="96%" align="center" cellpadding="0" cellspacing="0">';
echo '<tr>';
echo '<td width="20%" valign="top" class="negrita">PRESUPUESTO Nº:<BR />CLIENTE:</td>';
echo '<td width="30%" valign="top">'.$num_presup.'<br />'.$nombre_cliente.'</td>';
echo '<td width="19%" valign="top" class="negrita">TIPO DE SERVICIO:<br />VEHICULO:</td>';
echo '<td width="31%" valign="top">'.$tipo_servicio.'<br />'.$marca.'</td>';
echo '</tr>';
echo '</table>';


echo '<table class="t3" width="100%" align="center" cellpadding="0" cellspacing="5">';
echo '<tr>';
echo '<td width="50%" style="border: 1px solid #000;">';

//==========================
echo '<table class="t3" width="100%" align="center" cellpadding="5" cellspacing="0">';
echo '<tr><td align="center" class="negrita" colspan="4">INICIO SERVICIO</td></tr>';
echo '<tr>';
echo '<td width="20%" valign="top" class="negrita">FECHA:</td>';
echo '<td width="30%" valign="top">'.cambia_fecha($fecha_presup).'</td>';
echo '<td width="20%" valign="top" class="negrita">HORA:</td>';
echo '<td width="30%" valign="top">'.$hora_presup.'</td>';
echo '</tr>';
echo '<tr>';
echo '<td width="20%" valign="top" class="negrita">LUGAR:</td>';
echo '<td width="80%" valign="top" colspan="3">'.$_POST['direccion_inicio'].', '.$_POST['numero_inicio'].'<br />'.$_POST ['cp_inicio'].' - '.$_POST['poblacion_inicio'].' ('.$_POST['provincia_inicio'].')</td>';
echo '</tr>';
echo '</table>';
//=========================

echo '</td>';

echo '<td width="50%" style="border: 1px solid #000;">';

//==========================
echo '<table class="t3" width="100%" align="center" cellpadding="5" cellspacing="0">';
echo '<tr><td align="center" class="negrita" colspan="4">FIN SERVICIO</td></tr>';
echo '<tr>';
echo '<td width="20%" valign="top" class="negrita">FECHA:</td>';
echo '<td width="30%" valign="top">'.cambia_fecha($fin_fecha_presup).'</td>';
echo '<td width="20%" valign="top" class="negrita">HORA:</td>';
echo '<td width="30%" valign="top">'.$fin_hora_presup.'</td>';
echo '</tr>';
echo '<tr>';
echo '<td width="20%" valign="top" class="negrita">LUGAR:</td>';
echo '<td width="80%" valign="top" colspan="3">'.$_POST['direccion_final'].', '.$_POST['numero_final'].'<br />'.$_POST ['cp_final'].' - '.$_POST['poblacion_final'].' ('.$_POST['provincia_final'].')</td>';
echo '</tr>';
echo '</table>';
//=========================

echo '</td>';
echo '</tr>';
echo '</table>';


//precio final
echo '<table class="t3" width="100%" align="center" cellpadding="0" cellspacing="5">';
echo '<tr>';
echo '<td width="100%" style="border: 1px solid #000;">';

//=======================================================
echo '<table class="t3" width="100%" align="center" cellpadding="5" cellspacing="0" border="0">';
echo '<tr>
<td width="48%" class="negrita" style="border-bottom: 1px solid #ccc;">CONCEPTO</td>
<td width="10%" align="center" class="negrita" style="border-bottom: 1px solid #ccc;">CANTIDAD</td>
<td width="16%" align="right" class="negrita" style="border-bottom: 1px solid #ccc;">PRECIO/UD</td>
<td width="10%" class="centro negrita" style="border-bottom: 1px solid #ccc;">DESCUENTO</td>
<td width="16%" class="derecha negrita" style="border-bottom: 1px solid #ccc;">PRECIO</td>
</tr>';

//con esto mostramos los datos, 
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
$precio_total = 0;
while ($row = odbc_fetch_array($result)) {
	echo '<tr>';
	echo '<td class="negrita">'.$row['DESCCON'].'</td>';
	echo '<td class="centro">'.$row['CANTIDAD'].'</td>';
	
	echo '<td class="derecha">'.$row['PRECIO']." €</td>";
	
	echo '<td class="centro">';
	if ($row['DTO_SN']=='1') {echo $row['DTO'].'%';
	}
	else {echo '&nbsp;';}
	echo '</td>';
	
	/*
	if ($row['DTO_SN']=='1') {
		
		$descuento = $row['PRECIO'] * $row['DTO'] / 100;
		$muestra_precio = $row['PRECIO'] - $descuento;
		
	}
	else {
		$muestra_precio = $row['PRECIO'];
	}
	*/
	
	//echo '<td width="22%" class="derecha">'. redondeado($muestra_precio,2)." €</td></tr>";
	
	echo '<td class="derecha">'.$row['SUBTOTAL'].' €</td>';
	
	echo '</tr>';
	
	//$precio = $row['PRECIO'] * $row['CANTIDAD'];
	//$precio_total += $precio;
	
}

//con esto hacemos las cuentas
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
$precio_total = 0;
while ($row = odbc_fetch_array($result)) {
	
	$precio = $row['SUBTOTAL'];

	$precio_total += $precio;
	
}

$baseim = $precio_total;
$iva = redondeado(($precio_total * 7) / 100,2);
$precio_final = $baseim + $iva;

echo '<tr><td width="78%" colspan="4" class="negrita" style="border-top: 1px solid #ccc;">BASE I.</td><td width="22%" class="derecha" style="border-top: 1px solid #ccc;">'.redondeado($baseim,2)." €</td></tr>";
echo '<tr><td width="78%" colspan="4" class="negrita">I.V.A.(7%)</td><td width="22%" class="derecha">'.redondeado($iva,2)." €</td></tr>";
echo '<tr><td width="78%" colspan="4" class="negrita" style="border-top: 1px solid #ccc;">TOTAL</td><td width="22%" class="derecha" style="border-top: 1px solid #ccc;">'.redondeado($precio_final,2)." €</td></tr>";
echo '</table>';
//=======================================================

echo '</td>';


echo '</tr>';
echo '</table>';


//===============================================
//===============================================

echo '<form name="crea_pdf" action="crea_pdf.php" method="post" target="_blank">';
echo '<p class="t5 negrita" style="clear: both;"><img src="images/icon_pdf.gif" title="Imprimir PDF" alt="Imprimir PDF" /> CREAR PDF PARA IMPRIMIR<BR /><input type="submit" name="ver_pdf" value="Crear PDF para imprimir" style="padding: 10px;font-weight: bold;vertical-align: middle;" /></p>';
echo '<input type="hidden" name="num_presup" value="'.$num_presup.'" />';
echo '<input type="hidden" name="baseim" value="'.$baseim.'" />';
echo '<input type="hidden" name="iva" value="'.$iva.'" />';
echo '<input type="hidden" name="precio_final" value="'.$precio_final.'" />';
echo '</form>';

echo '<p class="t2" style="clear: both;color: red;">&nbsp;</p>';

echo '<p class="t2" style="clear: both;color: red;">*'.$condiciones.'</p>';


	echo '<br>';
	
} //fin else de formulario


echo '</div>'; //fin div_presup_1


echo '<div id="div_presup_2">';

echo '<div id="condicion_servicio"></div>';



echo '</div>'; //fin div_presup_2






echo "</div>";//fin contenido_web





	// *************************** MENU LATERAL **********************




PonPie();

//mysql_close();

?>